package models

import (
	"errors"

	"github.com/jinzhu/gorm"
)

// Menu 系统菜单
type Menu struct {
	gorm.Model
	ParentID  int    //父级节点
	Name      string `gorm:"size:50;"` // 名称
	Label     string `gorm:"size:50;"` // 标签
	RouterURL string `gorm:"size:200"` // 路由地址
	Icon      string `gorm:"size:20"`  //图标
	KeepLive  bool   //是否显示到标签栏
}

// Validate 验证
func (a *Menu) Validate() error {
	nlen := len(a.Name)
	nLab := len(a.Label)
	if nlen == 0 || nlen > 50 || nLab == 0 || nLab > 50 {
		return errors.New("参数不合法")
	}
	return nil
}
